keywords
Save keywords to a project
Saving a keyword already in the list refreshes its metrics rather than failing, which is how you update them after a fresh lookup.
POST
/
v1
/
projects
/
{projectId}
/
keywords
Save keywords to a project
curl --request POST \
--url https://api.surnex.io/v1/projects/{projectId}/keywords \
--header 'Content-Type: application/json' \
--data '
{
"keywords": [
{
"keyword": "<string>",
"search_volume": 123,
"keyword_difficulty": 123,
"cpc": 123,
"competition": 123,
"search_intent": "<string>",
"trend_data": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
],
"serp_features": [
"<string>"
]
}
],
"location_code": 2840,
"language_code": "en"
}
'import requests
url = "https://api.surnex.io/v1/projects/{projectId}/keywords"
payload = {
"keywords": [
{
"keyword": "<string>",
"search_volume": 123,
"keyword_difficulty": 123,
"cpc": 123,
"competition": 123,
"search_intent": "<string>",
"trend_data": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
],
"serp_features": ["<string>"]
}
],
"location_code": 2840,
"language_code": "en"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
keywords: [
{
keyword: '<string>',
search_volume: 123,
keyword_difficulty: 123,
cpc: 123,
competition: 123,
search_intent: '<string>',
trend_data: [{year: 123, month: 123, search_volume: 123}],
serp_features: ['<string>']
}
],
location_code: 2840,
language_code: 'en'
})
};
fetch('https://api.surnex.io/v1/projects/{projectId}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keyword": "<string>",
"search_volume": 123,
"keyword_difficulty": 123,
"cpc": 123,
"competition": 123,
"search_intent": "<string>",
"trend_data": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
],
"serp_features": [
"<string>"
],
"location_code": 123,
"language_code": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}Path Parameters
Body
application/json
⌘I
Save keywords to a project
